#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_QXI(void)
{
#if (PRO_QXI) 
   SetTelltalePos("PowerLimitDisp",              PowerLimitDisp);
   SetTelltalePos("SwitchFb",                SwitchFb);
   SetTelltalePos("SmartSystemWarning",              SmartSystemWarning);
   SetTelltalePos("LHTurnlightSts",            LHTurnlightSts);
   SetTelltalePos("HighBeamSts",              HighBeamSts);
   SetTelltalePos("DRLSts",                DRLSts);
   SetTelltalePos("ParkLightSts",      ParkLightSts);
   SetTelltalePos("RearFogLightSts",                        RearFogLightSts);
   SetTelltalePos("RegenerationLevelSts1",      RegenerationLevelSts1);
   SetTelltalePos("RegenerationLevelSts2",                      RegenerationLevelSts2);
   SetTelltalePos("RegenerationLevelSts3",            RegenerationLevelSts3);
   SetTelltalePos("RHTurnlightSt",        RHTurnlightSt);
   SetTelltalePos("BatTmpHiInd",              BatTmpHiInd);
   SetTelltalePos("LowSOCWarnLampSts",                        LowSOCWarnLampSts);
   SetTelltalePos("ThermalCtrlWarning",      ThermalCtrlWarning);
   SetTelltalePos("MotorTempWarning",                    MotorTempWarning);
   SetTelltalePos("DCDCLVSysFltInd",      DCDCLVSysFltInd);
   SetTelltalePos("ElectricDriveSysFaultDisp",                  ElectricDriveSysFaultDisp);
   SetTelltalePos("TirePressureSystemFailSts",                      TirePressureSystemFailSts);
   SetTelltalePos("SteeringAngleCalibrationSts",                      SteeringAngleCalibrationSts);
   SetTelltalePos("AuthFailWarn",    AuthFailWarn);
   SetTelltalePos("SystemFaultDisp",                  SystemFaultDisp);
   SetTelltalePos("IsoResisLw",        IsoResisLw);
   SetTelltalePos("ReadySts",                        ReadySts);
   SetTelltalePos("ECO",        ECO);
   SetTelltalePos("ECOPlus",                  ECOPlus);
   SetTelltalePos("NOR", NOR);
   SetTelltalePos("SPT",          SPT);
   SetTelltalePos("AirBagFailSts",     AirBagFailSts);
   SetTelltalePos("ABS_FailSts",                  ABS_FailSts);
   SetTelltalePos("DriverDoorSts",                      DriverDoorSts);
   SetTelltalePos("SmartSystemWarning_3_1",                      SmartSystemWarning_3_1);
   SetTelltalePos("HVBatDiscWarn",    HVBatDiscWarn);
   SetTelltalePos("PowerBattFaultDisp",                  PowerBattFaultDisp);
   SetTelltalePos("VacuumPresWarn",        VacuumPresWarn);
   SetTelltalePos("ConnectSts",                        ConnectSts);
#endif
}


